> ## Name

> cgGetStringParameterValue - get the value of a string parameter

> ## Synopsis

>     #include <Cg/cg.h>

>     const char * cgGetStringParameterValue( CGparameter param );

> ## Parameters

> param
>   The parameter whose value will be retrieved.

> ## Return Values

> Returns a pointer to the string contained by a string parameter.

> Returns NULL if the parameter does not contain a valid string value.

> ## Description

> cgGetStringParameterValue allows the application to get the value of a string parameter.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_TYPE_ERROR is generated if param is not string-typed.

> ## History

> cgGetStringParameterValue was introduced in Cg 1.4.

> ## See Also

> cgSetStringParameterValue